summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
Diffstat (limited to 'system')
-rw-r--r--system/recoverdm/README13
-rw-r--r--system/recoverdm/recoverdm.SlackBuild73
-rw-r--r--system/recoverdm/recoverdm.info10
-rw-r--r--system/recoverdm/slack-desc19
4 files changed, 115 insertions, 0 deletions
diff --git a/system/recoverdm/README b/system/recoverdm/README
new file mode 100644
index 0000000000..64837ab8e9
--- /dev/null
+++ b/system/recoverdm/README
@@ -0,0 +1,13 @@
+This program will help you recover disks with bad sectors. You can recover
+files as well complete devices.
+
+In case if finds sectors which simply cannot be recoverd, it writes an empty
+sector to the outputfile and continues. If you're recovering a CD or a DVD and
+the program cannot read the sector in "normal mode", then the program will try
+to read the sector in "RAW mode" (without error-checking etc.).
+
+This toolkit also has a utility called 'mergebad': mergebad merges multiple
+images into one. This can be usefull when you have, for example, multiple CD's
+with the same data which are all damaged. In such case, you can then first use
+recoverdm to retrieve the data from the damaged CD's into image-files and then
+combine them into one image with mergebad.
diff --git a/system/recoverdm/recoverdm.SlackBuild b/system/recoverdm/recoverdm.SlackBuild
new file mode 100644
index 0000000000..9637412118
--- /dev/null
+++ b/system/recoverdm/recoverdm.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Copyright 2010 Binh Nguyen <binhnguyen@fastmail.fm>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=recoverdm
+VERSION=${VERSION:-0.20}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make
+
+install -Dm 0755 recoverdm $PKG/usr/bin/recoverdm
+install -Dm 0755 mergebad $PKG/usr/bin/mergebad
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a license.txt readme.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/recoverdm/recoverdm.info b/system/recoverdm/recoverdm.info
new file mode 100644
index 0000000000..a8e8ed9863
--- /dev/null
+++ b/system/recoverdm/recoverdm.info
@@ -0,0 +1,10 @@
+PRGNAM="recoverdm"
+VERSION="0.20"
+HOMEPAGE="http://www.vanheusden.com/recoverdm/"
+DOWNLOAD="http://www.vanheusden.com/recoverdm/recoverdm-0.20.tgz"
+MD5SUM="9da9ea7d44f8f94984715eb2ff1ecab4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Binh Nguyen"
+EMAIL="binhnguyen@fastmail.fm"
+APPROVED="Erik Hanson"
diff --git a/system/recoverdm/slack-desc b/system/recoverdm/slack-desc
new file mode 100644
index 0000000000..47cb981c74
--- /dev/null
+++ b/system/recoverdm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+recoverdm: recoverdm (recover files/disks with damaged sectors)
+recoverdm:
+recoverdm: This program will help you recover disks with bad sectors. You can
+recoverdm: recover files as well complete devices. This toolkit also has a
+recoverdm: utility called 'mergebad': mergebad merges multiple images into one.
+recoverdm:
+recoverdm: Homepage: http://www.vanheusden.com/recoverdm/
+recoverdm:
+recoverdm:
+recoverdm:
+recoverdm: